> ## Documentation Index
> Fetch the complete documentation index at: https://developer.box.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Shuttleジョブスケジュールを取得

> IDで指定されたShuttleジョブスケジュールを取得します。

> [!NOTE]
>
> 「[Box SDKのバージョニング戦略](https://developer.box.com/ja/guides/tooling/sdks/sdk-versioning.md)について詳しく学ぶ。」


## OpenAPI

````yaml box-openapi-v2026.0-jp.json GET /shuttle_job_schedules/{shuttle_job_schedule_id}
openapi: 3.0.2
info:
  title: Box Platform API
  description: >-
    [Box
    Platform](https://developer.box.com)では、[Box](https://box.com)内に保存されているコンテンツへのアクセス権限を付与する機能が提供されています。また、ファイルとフォルダの基本操作、会社内のユーザーの管理、リーガルホールドやリテンションポリシーなどの複雑なトピックのためのエンドポイントも提供されています。
  termsOfService: https://cloud.app.box.com/s/rmwxu64h1ipr41u49w3bbuvbsa29wku9
  contact:
    name: Box, Inc
    url: https://developer.box.com
    email: devrel@box.com
  license:
    name: Apache-2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  version: '2026.0'
  x-box-commit-hash: 0274a35f73
servers:
  - url: https://api.box.com/2.0
    description: Box Platform APIサーバー。
security:
  - OAuth2Security: []
tags:
  - name: Automateワークフロー
    description: Automateワークフローのアクションをリストアップして手動で開始するためのエンドポイント。
    x-box-tag: automate_workflows
  - name: Box Noteに変換
    description: サポート対象のソースコンテンツ (マークダウンなど) からBox Notesを作成します。
    x-box-tag: notes
  - name: ドキュメント分割
    description: >-
      ページ割りされたソースドキュメントを、ユーザー定義のページ範囲またはAI生成のページ範囲に基づいて複数のファイルに分割するために使用される、一連のエンドポイント。
    x-box-tag: document_split
  - name: クエリ
    description: 項目に対するクエリ。
    x-box-tag: query
  - name: Shuttle
    description: >-
      外部ソースからBoxにコンテンツを移行するサービスであるBox
      Shuttleを管理するためのエンドポイント。これらのエンドポイントを使用して、Shuttleがコンテンツの移行元として使用するシステム、およびShuttleが実行する移行ジョブを管理します。
    x-box-tag: shuttle
externalDocs:
  description: Box Developerドキュメント。
  url: https://developer.box.com
paths:
  /shuttle_job_schedules/{shuttle_job_schedule_id}:
    get:
      tags:
        - Shuttle
      summary: Shuttleジョブスケジュールを取得
      description: IDで指定されたShuttleジョブスケジュールを取得します。
      operationId: get_shuttle_job_schedules_id_v2026.0
      parameters:
        - $ref: '#/components/parameters/BoxVersionHeader'
        - name: shuttle_job_schedule_id
          in: path
          description: Shuttleジョブスケジュールの一意の識別子。
          required: true
          schema:
            type: string
          example: 7c1ba68e810d9156194530b2
      responses:
        '200':
          description: Shuttleジョブスケジュールを返します。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ShuttleJobSchedule'
        '401':
          description: '`Authorization`ヘッダーで指定されているアクセストークンが認識されないか、指定されていない場合に返されます。'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        '403':
          description: 認証済みユーザーが、Enterpriseのプロパティを管理する権限を持つ管理者または共同管理者ではない場合に返されます。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        '404':
          description: Shuttleジョブスケジュールが見つからないか、ユーザーがアクセスできない場合に返されます。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        '429':
          description: ユーザーが一定時間内に送信したリクエストが多すぎる場合に返されます。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        default:
          description: 予期しないクライアントエラー。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
components:
  parameters:
    BoxVersionHeader:
      name: box-version
      in: header
      description: Version header.
      allowEmptyValue: false
      required: true
      schema:
        type: string
        enum:
          - '2026.0'
      example: '2026.0'
  schemas:
    ShuttleJobSchedule:
      description: >-
        Shuttleジョブの実行を開始するスケジュール。スケジュールは日時に基づくものか、他のジョブの実行によってトリガーされるものになります。スケジュールでは`scan`モードでの実行を開始することはできません。
      type: object
      properties:
        id:
          description: Shuttleジョブスケジュールの一意の識別子。
          type: string
          example: 7c1ba68e810d9156194530b2
        type:
          description: 値は常に`shuttle_job_schedule`になります。
          type: string
          example: shuttle_job_schedule
          enum:
            - shuttle_job_schedule
        job_id:
          description: このスケジュールが属しているShuttleジョブの一意の識別子。
          type: string
          example: 6a3ba68e810d9156194530a1
        state:
          description: スケジュールがアクティブかどうか。
          type: string
          example: enabled
          enum:
            - enabled
            - paused
        run_mode:
          description: スケジュールが開始する実行の種類。`scan`は有効なスケジュール実行モードではありません。
          type: string
          example: transfer
          enum:
            - transfer
            - simulation
            - analysis
        description:
          description: 人間が判読できる、スケジュールの説明 (省略可)。
          type: string
          example: Nightly finance share replay.
          nullable: true
        last_attempt_at:
          description: スケジュールが最後に実行の開始を試みた日時。スケジュールが一度も実行を開始していない場合は`null`。
          type: string
          format: date-time
          example: '2026-03-16T09:00:12Z'
          nullable: true
        trigger:
          $ref: '#/components/schemas/ShuttleJobScheduleTrigger'
      required:
        - id
        - type
        - job_id
        - state
        - run_mode
        - trigger
      title: Shuttleジョブスケジュール
      x-box-resource-id: shuttle_job_schedule_v2026.0
      x-box-tag: shuttle
    ClientError:
      description: 一般的なエラー。
      type: object
      properties:
        type:
          description: 値は常に`error`になります。
          type: string
          example: error
          enum:
            - error
          nullable: false
        status:
          description: レスポンスのHTTPステータス。
          type: integer
          format: int32
          example: 400
          nullable: false
        code:
          description: Box固有のエラーコード。
          type: string
          example: item_name_invalid
          enum:
            - created
            - accepted
            - no_content
            - redirect
            - not_modified
            - bad_request
            - unauthorized
            - forbidden
            - not_found
            - method_not_allowed
            - conflict
            - precondition_failed
            - too_many_requests
            - internal_server_error
            - unavailable
            - item_name_invalid
            - insufficient_scope
        message:
          description: エラーについての短い説明メッセージ。
          type: string
          example: Method Not Allowed
          nullable: false
        context_info:
          description: >-
            このエラーに関する追加コンテキストを含む自由形式のオブジェクト。使用できるフィールドは、エンドポイントごとに定義されています。`message`は唯一の例です。
          type: object
          example:
            message: Something went wrong
          additionalProperties: {}
          nullable: true
        help_url:
          description: このエラーの原因に関する詳細情報にリンクされたURL。
          type: string
          example: >-
            https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/
          nullable: false
        request_id:
          description: Boxサポートに連絡するときに使用できる、このレスポンスの一意の識別子。
          type: string
          example: abcdef123456
          nullable: false
      title: クライアントエラー
      x-box-resource-id: client_error_v2026.0
    ShuttleJobScheduleTrigger:
      description: Shuttleジョブスケジュールが実行を開始するタイミング。`type`によって識別されるトリガーバリアントが必ず1つだけ存在します。
      oneOf:
        - $ref: '#/components/schemas/ShuttleJobScheduleTriggerByTime'
        - $ref: '#/components/schemas/ShuttleJobScheduleTriggerByJob'
      title: Shuttleジョブスケジュールトリガー
      x-box-resource-id: shuttle_job_schedule_trigger_v2026.0
      x-box-tag: shuttle
    ShuttleJobScheduleTriggerByTime:
      description: 特定の実時間にスケジュールを開始し、必要に応じて繰り返す時間ベースのトリガー。
      type: object
      properties:
        type:
          description: 値は常に`by_time`になります。
          type: string
          example: by_time
          enum:
            - by_time
        start_at:
          description: >-
            スケジュールが最初の実行を開始するローカルの実時間。オフセットや`Z`サフィックスは含めません。`time_zone`と組み合わせて、DSTを考慮した実際の時間が決定されます。
          type: string
          example: '2026-03-16T09:00:00'
          pattern: ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}$
        time_zone:
          description: >-
            `start_at`をローカル日時として解釈するためのIANAタイムゾーン (例:
            `America/Los_Angeles`)。繰り返しおよびDSTの切り替えは、このタイムゾーンに基づいて決定されます。
          type: string
          example: America/Los_Angeles
        repeat:
          description: '`start_at`の後にスケジュールを繰り返す頻度。'
          type: string
          example: daily
          enum:
            - none
            - daily
            - weekly
            - weekdays
            - weekends
      required:
        - type
        - start_at
        - time_zone
        - repeat
      title: 時間によるShuttleジョブスケジュールトリガー
      x-box-resource-id: shuttle_job_schedule_trigger_by_time_v2026.0
      x-box-tag: shuttle
    ShuttleJobScheduleTriggerByJob:
      description: 別のShuttleジョブの実行が条件を満たした後に、このスケジュールを開始するジョブベースのトリガー。
      type: object
      properties:
        type:
          description: 値は常に`by_job`になります。
          type: string
          example: by_job
          enum:
            - by_job
        triggered_by_job_id:
          description: その実行を契機としてこのスケジュールを開始するShuttleジョブの一意の識別子。
          type: string
          example: 8d2ca68e810d9156194530c3
        last_run_condition:
          description: トリガーとなるジョブの直前の実行を基準として、このスケジュールが実行を開始するタイミング。
          type: string
          example: on_success
          enum:
            - always
            - on_success
            - on_finish
      required:
        - type
        - triggered_by_job_id
        - last_run_condition
      title: ジョブによるShuttleジョブスケジュールトリガー
      x-box-resource-id: shuttle_job_schedule_trigger_by_job_v2026.0
      x-box-tag: shuttle
  securitySchemes:
    OAuth2Security:
      type: oauth2
      description: >-
        The access token received from the authorization server in the OAuth 2.0
        flow.
      flows:
        authorizationCode:
          authorizationUrl: https://account.box.com/api/oauth2/authorize
          tokenUrl: https://api.box.com/oauth2/token
          scopes:
            root_readonly: Boxに格納されているすべてのファイルとフォルダの読み取り
            root_readwrite: Boxに格納されているすべてのファイルとフォルダの読み取りと書き込み
            manage_app_users: App Userのプロビジョニングと管理
            manage_managed_users: 管理対象ユーザーのプロビジョニングと管理
            manage_groups: 企業のグループの管理
            manage_webhook: APIを使用したプログラムによるWebhookの作成
            manage_enterprise_properties: Enterpriseのプロパティを管理
            manage_data_retention: データリテンションポリシーの管理
            manage_legal_hold: リーガルホールドの管理

````